## kconfig 5.54.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

set(KF5_VERSION "5.54.0") # handled by release scripts
project(KConfig VERSION ${KF5_VERSION})

include(FeatureSummary)
find_package(ECM 5.54.0  NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://projects.kde.org/projects/kdesupport/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})

set(REQUIRED_QT_VERSION 5.9.0)

find_package(Qt5 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Xml)
option(KCONFIG_USE_GUI "Build components using Qt5Gui" ON)
if(KCONFIG_USE_GUI)
    find_package(Qt5 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Gui)
endif()

option(KCONFIG_USE_DBUS "Build components using Qt5DBus" ON)
if(KCONFIG_USE_DBUS)
    find_package(Qt5 ${REQUIRED_QT_VERSION} CONFIG REQUIRED DBus)
endif()


include(KDEInstallDirs)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)


include(GenerateExportHeader)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(ECMMarkNonGuiExecutable)
include(ECMPoQmTools)
include(ECMAddQch)

option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")

ecm_setup_version(PROJECT VARIABLE_PREFIX KCONFIG
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kconfig_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5ConfigConfigVersion.cmake"
                        SOVERSION 5)


add_subdirectory(src)
if (BUILD_TESTING)
    add_subdirectory(autotests)
endif()

include (ECMPoQmTools)
if (IS_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/po")
   ecm_install_po_files_as_qm(po)
endif()


# create a Config.cmake and a ConfigVersion.cmake file and install them
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5Config")

if (BUILD_QCH)
    ecm_install_qch_export(
        TARGETS KF5Config_QCH
        FILE KF5ConfigQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
    )
    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KF5ConfigQchTargets.cmake\")")
endif()

include(CMakePackageConfigHelpers)

configure_package_config_file("${CMAKE_CURRENT_SOURCE_DIR}/KF5ConfigConfig.cmake.in"
                              "${CMAKE_CURRENT_BINARY_DIR}/KF5ConfigConfig.cmake"
                              INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
                              )

install(FILES  "${CMAKE_CURRENT_BINARY_DIR}/KF5ConfigConfig.cmake"
               "${CMAKE_CURRENT_BINARY_DIR}/KF5ConfigConfigVersion.cmake"
               "${CMAKE_CURRENT_SOURCE_DIR}/KF5ConfigMacros.cmake"
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel )


install(EXPORT KF5ConfigTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        FILE KF5ConfigTargets.cmake NAMESPACE KF5:: COMPONENT Devel)


install(EXPORT KF5ConfigCompilerTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        FILE KF5ConfigCompilerTargets.cmake NAMESPACE KF5:: COMPONENT Devel)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/kconfig_version.h
        DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5} COMPONENT Devel )


feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
kconfig (5.54.0-1+deb10u1) buster-security; urgency=medium

  * CVE-2019-14744

 -- Moritz Muehlenhoff <jmm@debian.org>  Thu, 08 Aug 2019 23:35:27 +0200

kconfig (5.54.0-1) unstable; urgency=medium

  * New upstream release (5.52.0).
  * Update build-deps and deps with the info from cmake
  * Update symbols files.
  * New upstream release (5.53.0).
  * Update build-deps and deps with the info from cmake
  * New upstream release (5.54.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.54)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Thu, 17 Jan 2019 19:26:31 -0300

kconfig (5.51.0-1) unstable; urgency=medium

  * New upstream release (5.50.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.50)
  * New upstream release (5.51.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.51)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Wed, 07 Nov 2018 17:16:32 +0100

kconfig (5.49.0-1) unstable; urgency=medium

  * New upstream release (5.48.0).
  * Update build-deps and deps with the info from cmake
  * Update copyright information
  * New upstream release (5.49.0).
  * Update build-deps and deps with the info from cmake
  * Update symbols files
  * Bump group breaks (5.49)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Fri, 17 Aug 2018 16:18:12 +0200

kconfig (5.47.0-1) unstable; urgency=medium

  * New upstream release (5.47.0).
  * Update symbols files from buildds logs (5.46.0-1).
  * Update build-deps and deps with the info from cmake
  * Drop upstream applied patch
  * Bump group breaks (5.47)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Fri, 15 Jun 2018 12:08:29 +0200

=== debian/control ===
Source: kconfig
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.5~),
               debhelper (>= 11~),
               doxygen (>= 1.8.13~),
               extra-cmake-modules (>= 5.54.0~),
               graphviz,
               libqt5sql5-sqlite,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.9.0~),
               qttools5-dev (>= 5.4),
               qttools5-dev-tools (>= 5.4),
Standards-Version: 4.1.4
Homepage: https://projects.kde.org/projects/frameworks/kconfig
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kconfig
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kconfig.git

Package: libkf5config-bin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libkf5configcore5 (<= 4.100.0-0ubuntu1~ubuntu14.10~ppa1)
Replaces: libkf5configcore5 (<= 4.100.0-0ubuntu1~ubuntu14.10~ppa1)
Description: configuration settings framework for Qt
 KConfig provides an advanced configuration system. It is made of two
 parts: KConfigCore and KConfigGui.
 .
 KConfigCore provides access to the configuration files themselves. It
 features:
 .
  - centralized definition: define your configuration in an XML file
  and use `kconfig_compiler` to generate classes to read and write
  configuration entries.
  - lock-down (kiosk) support.
 .
 KConfigGui provides a way to hook widgets to the configuration so
 that they are automatically initialized from the configuration and
 automatically propagate their changes to their respective
 configuration files.
 .
 This package is part of KDE Frameworks 5.
 .
 This package contains runtime files for KConfig.

Package: libkf5config-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: configuration settings framework for Qt
 KConfig provides an advanced configuration system. It is made of two
 parts: KConfigCore and KConfigGui.
 .
 KConfigCore provides access to the configuration files themselves. It
 features:
 .
  - centralized definition: define your configuration in an XML file
  and use `kconfig_compiler` to generate classes to read and write
  configuration entries.
  - lock-down (kiosk) support.
 .
 KConfigGui provides a way to hook widgets to the configuration so
 that they are automatically initialized from the configuration and
 automatically propagate their changes to their respective
 configuration files.
 .
 This package is part of KDE Frameworks 5.
 .
 This package contains the translations.

Package: libkf5config-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5config-bin (= ${binary:Version}),
         libkf5config-dev-bin (= ${binary:Version}),
         libkf5configcore5 (= ${binary:Version}),
         libkf5configgui5 (= ${binary:Version}),
         qtbase5-dev (>= 5.9.0~),
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: libkf5completion-dev (<< 5.54),
        libkf5config-bin-dev (<< 5.42),
        libkf5configwidgets-dev (<< 5.54),
        libkf5notifications-dev (<< 5.54),
        libkf5service-dev (<< 5.54),
        libkf5wallet-dev (<< 5.54),
        libkf5xmlgui-dev (<< 5.54),
Replaces: libkf5config-bin-dev (<< 5.42)
Recommends: libkf5config-doc (= ${source:Version})
Description: configuration settings framework for Qt
 KConfig provides an advanced configuration system. It is made of two
 parts: KConfigCore and KConfigGui.
 .
 KConfigCore provides access to the configuration files themselves. It
 features:
 .
  - centralized definition: define your configuration in an XML file
  and use `kconfig_compiler` to generate classes to read and write
  configuration entries.
  - lock-down (kiosk) support.
 .
 KConfigGui provides a way to hook widgets to the configuration so
 that they are automatically initialized from the configuration and
 automatically propagate their changes to their respective
 configuration files.
 .
 This package is part of KDE Frameworks 5.
 .
 This package contains the development files.

Package: libkf5config-dev-bin
Section: libdevel
Architecture: any
Multi-Arch: foreign
Breaks: libkf5config-dev (<< 5.15.0-2~)
Replaces: libkf5config-dev (<< 5.15.0-2~)
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: configuration settings framework for Qt -- binary package
 KConfig provides an advanced configuration system. It is made of two
 parts: KConfigCore and KConfigGui.
 .
 KConfigCore provides access to the configuration files themselves. It
 features:
 .
  - centralized definition: define your configuration in an XML file
  and use `kconfig_compiler` to generate classes to read and write
  configuration entries.
  - lock-down (kiosk) support.
 .
 KConfigGui provides a way to hook widgets to the configuration so
 that they are automatically initialized from the configuration and
 automatically propagate their changes to their respective
 configuration files.
 .
 This package is part of KDE Frameworks 5.
 .
 This package contains the binary files for the libkf5config-dev package.

Package: libkf5config-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: configuration settings framework for Qt (documentation)
 KConfig provides an advanced configuration system. It is made of two
 parts: KConfigCore and KConfigGui.
 .
 KConfigCore provides access to the configuration files themselves. It
 features:
 .
  - centralized definition: define your configuration in an XML file
  and use `kconfig_compiler` to generate classes to read and write
  configuration entries.
  - lock-down (kiosk) support.
 .
 KConfigGui provides a way to hook widgets to the configuration so
 that they are automatically initialized from the configuration and
 automatically propagate their changes to their respective
 configuration files.
 .
 This package is part of KDE Frameworks 5.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf5configcore5
Architecture: any
Multi-Arch: same
Depends: libkf5config-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: baloo-kf5 (<< 5.54),
        frameworkintegration (<< 5.54),
        kded5 (<< 5.54),
        kdesignerplugin (<< 5.42),
        kgendesignerplugin (<< 5.54),
        kgendesignerplugin-bin (<< 5.54),
        kinit (<< 5.54),
        kio (<< 5.54),
        kpackagelauncherqml (<< 5.42),
        kpackagetool5 (<< 5.28),
        kross (<< 5.42),
        ktexteditor-katepart (<< 5.42),
        libkf5activitiesstats1 (<< 5.54),
        libkf5baloo5 (<< 5.54),
        libkf5bookmarks5 (<< 5.54),
        libkf5completion5 (<< 5.54),
        libkf5configwidgets5 (<< 5.54),
        libkf5declarative5 (<< 5.54),
        libkf5emoticons-bin (<< 5.42),
        libkf5emoticons5 (<< 5.54),
        libkf5globalaccel-bin (<< 5.42),
        libkf5globalaccelprivate5 (<< 5.54),
        libkf5iconthemes5 (<< 5.54),
        libkf5kcmutils5 (<< 5.54),
        libkf5kdelibs4support5 (<< 5.54),
        libkf5kdelibs4support5-bin (<< 5.54),
        libkf5khtml-bin (<< 5.54),
        libkf5khtml5 (<< 5.54),
        libkf5kiocore5 (<< 5.54),
        libkf5kiofilewidgets5 (<< 5.54),
        libkf5kiogui5 (<< 5.42),
        libkf5kiowidgets5 (<< 5.54),
        libkf5krossui5 (<< 5.42),
        libkf5mediaplayer5 (<< 5.42),
        libkf5newstuff5 (<< 5.54),
        libkf5newstuffcore5 (<< 5.54),
        libkf5notifications5 (<< 5.54),
        libkf5notifyconfig5 (<< 5.54),
        libkf5package5 (<< 5.28),
        libkf5parts-plugins (<< 5.42),
        libkf5parts5 (<< 5.54),
        libkf5people5 (<< 5.42),
        libkf5peoplewidgets5 (<< 5.54),
        libkf5plasma5 (<< 5.54),
        libkf5plasmaquick5 (<< 5.54),
        libkf5purpose-bin (<< 5.54),
        libkf5purpose5 (<< 5.54),
        libkf5quickaddons5 (<< 5.54),
        libkf5runner5 (<< 5.54),
        libkf5service-bin (<< 5.42),
        libkf5service5 (<< 5.54),
        libkf5style5 (<< 5.54),
        libkf5su5 (<< 5.54),
        libkf5texteditor5 (<< 5.54),
        libkf5textwidgets5 (<< 5.42),
        libkf5wallet-bin (<< 5.54),
        libkf5wallet5 (<< 5.54),
        libkf5webkit5 (<< 5.42),
        libkf5xmlgui-bin (<< 5.54),
        libkf5xmlgui5 (<< 5.54),
        libkf5xmlrpcclient5 (<< 5.42),
        plasma-framework (<< 5.54),
        qml-module-org-kde-activities (<< 5.54),
        qml-module-org-kde-extensionplugin (<< 5.28),
        qml-module-org-kde-kconfig (<< 5.54),
        qml-module-org-kde-kio (<< 5.42),
        qml-module-org-kde-kquickcontrols (<< 5.42),
        qml-module-org-kde-kquickcontrolsaddons (<< 5.54),
        qml-module-org-kde-qqc2desktopstyle (<< 5.42),
        qml-module-org-kde-runnermodel (<< 5.42),
Recommends: libkf5config-bin (= ${binary:Version})
Description: configuration settings framework for Qt
 KConfig provides an advanced configuration system. It is made of two
 parts: KConfigCore and KConfigGui.
 .
 KConfigCore provides access to the configuration files themselves. It
 features:
 .
  - centralized definition: define your configuration in an XML file
  and use `kconfig_compiler` to generate classes to read and write
  configuration entries.
  - lock-down (kiosk) support.
 .
 This package is part of KDE Frameworks 5.
 .
 This package contains KConfigCore.

Package: libkf5configgui5
Architecture: any
Multi-Arch: same
Depends: libkf5config-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: frameworkintegration (<< 5.28),
        kdesignerplugin (<< 5.42),
        kio (<< 5.42),
        kross (<< 5.42),
        ktexteditor-katepart (<< 5.42),
        libkf5bookmarks5 (<< 5.42),
        libkf5completion5 (<< 5.54),
        libkf5configwidgets5 (<< 5.54),
        libkf5iconthemes5 (<< 5.42),
        libkf5kcmutils5 (<< 5.42),
        libkf5kdelibs4support5 (<< 5.54),
        libkf5kdelibs4support5-bin (<< 5.42),
        libkf5khtml-bin (<< 5.42),
        libkf5khtml5 (<< 5.42),
        libkf5kiofilewidgets5 (<< 5.54),
        libkf5kiowidgets5 (<< 5.54),
        libkf5krossui5 (<< 5.42),
        libkf5mediaplayer5 (<< 5.42),
        libkf5newstuff5 (<< 5.54),
        libkf5parts-plugins (<< 5.42),
        libkf5parts5 (<< 5.42),
        libkf5plasma5 (<< 5.54),
        libkf5plasmaquick5 (<< 5.42),
        libkf5quickaddons5 (<< 5.54),
        libkf5style5 (<< 5.42),
        libkf5texteditor5 (<< 5.54),
        libkf5textwidgets5 (<< 5.54),
        libkf5wallet-bin (<< 5.42),
        libkf5webkit5 (<< 5.54),
        libkf5xmlgui5 (<< 5.54),
        plasma-framework (<< 5.54),
        qml-module-org-kde-kquickcontrols (<< 5.54),
        qml-module-org-kde-qqc2desktopstyle (<< 5.42),
Recommends: libkf5config-bin (= ${binary:Version})
Description: configuration settings framework for Qt
 KConfig provides an advanced configuration system. It is made of two
 parts: KConfigCore and KConfigGui.
 .
 KConfigGui provides a way to hook widgets to the configuration so
 that they are automatically initialized from the configuration and
 automatically propagate their changes to their respective
 configuration files.
 .
 This package is part of KDE Frameworks 5.
 .
 This package contains KConfigGui.

=== debian/tests/control ===
Tests: testsuite
Depends: @, @builddeps@, build-essential,
         xvfb, xauth, dbus (>= 1.8)
Restrictions: build-needed, allow-stderr

Tests: acc
Depends: @, dh-acc, exuberant-ctags
Restrictions: allow-stderr

## kconfig 5.56.0

=== debian/changelog ===
kconfig (5.56.0-0ubuntu1) disco; urgency=medium

  * New upstream release (5.56.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 09 Mar 2019 16:34:44 +0000

kconfig (5.55.0-0ubuntu1) disco; urgency=medium

  * New upstream release (5.55.0)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 13 Feb 2019 08:29:49 +0000

kconfig (5.54.0-0ubuntu1) disco; urgency=medium

  * New upstream release (5.54.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 13 Jan 2019 12:33:55 +0000

kconfig (5.53.0-0ubuntu1) disco; urgency=medium

  * New upstream release (5.53.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 09 Dec 2018 20:47:44 +0000

kconfig (5.52.0-0ubuntu1) disco; urgency=medium

  [ Rik Mills ]
  * New upstream release (5.51.0)

  [ José Manuel Santamaría Lema ]
  * New upstream release (5.52.0)
  * Update symbols files

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 22 Nov 2018 14:41:18 +0000

=== debian/control ===
Source: kconfig
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.0~),
               debhelper (>= 11~),
               doxygen (>= 1.8.13~),
               extra-cmake-modules (>= 5.56.0~),
               graphviz,
               libqt5sql5-sqlite,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.8.0~),
               qttools5-dev (>= 5.6.1~),
               qttools5-dev-tools (>= 5.6.1~),
Standards-Version: 4.1.4
Homepage: https://projects.kde.org/projects/frameworks/kconfig
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kconfig
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kconfig

Package: libkf5config-bin
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libkf5configcore5 (<= 4.100.0-0ubuntu1~ubuntu14.10~ppa1)
Replaces: libkf5configcore5 (<= 4.100.0-0ubuntu1~ubuntu14.10~ppa1)
Description: configuration settings framework for Qt
 KConfig provides an advanced configuration system. It is made of two
 parts: KConfigCore and KConfigGui.
 .
 KConfigCore provides access to the configuration files themselves. It
 features:
 .
  - centralized definition: define your configuration in an XML file
  and use `kconfig_compiler` to generate classes to read and write
  configuration entries.
  - lock-down (kiosk) support.
 .
 KConfigGui provides a way to hook widgets to the configuration so
 that they are automatically initialized from the configuration and
 automatically propagate their changes to their respective
 configuration files.
 .
 This package is part of KDE Frameworks 5.
 .
 This package contains runtime files for KConfig.

Package: libkf5config-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: configuration settings framework for Qt
 KConfig provides an advanced configuration system. It is made of two
 parts: KConfigCore and KConfigGui.
 .
 KConfigCore provides access to the configuration files themselves. It
 features:
 .
  - centralized definition: define your configuration in an XML file
  and use `kconfig_compiler` to generate classes to read and write
  configuration entries.
  - lock-down (kiosk) support.
 .
 KConfigGui provides a way to hook widgets to the configuration so
 that they are automatically initialized from the configuration and
 automatically propagate their changes to their respective
 configuration files.
 .
 This package is part of KDE Frameworks 5.
 .
 This package contains the translations.

Package: libkf5config-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libkf5config-bin (= ${binary:Version}),
         libkf5config-dev-bin (= ${binary:Version}),
         libkf5configcore5 (= ${binary:Version}),
         libkf5configgui5 (= ${binary:Version}),
         qtbase5-dev (>= 5.8.0~),
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: libkf5config-bin-dev (<< 5.47.0~),
Replaces: libkf5config-bin-dev (<< 5.47.0~)
Recommends: libkf5config-doc (= ${source:Version})
Description: configuration settings framework for Qt
 KConfig provides an advanced configuration system. It is made of two
 parts: KConfigCore and KConfigGui.
 .
 KConfigCore provides access to the configuration files themselves. It
 features:
 .
  - centralized definition: define your configuration in an XML file
  and use `kconfig_compiler` to generate classes to read and write
  configuration entries.
  - lock-down (kiosk) support.
 .
 KConfigGui provides a way to hook widgets to the configuration so
 that they are automatically initialized from the configuration and
 automatically propagate their changes to their respective
 configuration files.
 .
 This package is part of KDE Frameworks 5.
 .
 This package contains the development files.,

Package: libkf5config-dev-bin
Architecture: any
Multi-Arch: foreign
Section: libdevel
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libkf5config-bin-dev (<< 5.47.0~), libkf5config-dev (<< 5.15.0-2~)
Replaces: libkf5config-bin-dev (<< 5.47.0~), libkf5config-dev (<< 5.15.0-2~)
Description: configuration settings framework for Qt -- binary package
 KConfig provides an advanced configuration system. It is made of two
 parts: KConfigCore and KConfigGui.
 .
 KConfigCore provides access to the configuration files themselves. It
 features:
 .
  - centralized definition: define your configuration in an XML file
  and use `kconfig_compiler` to generate classes to read and write
  configuration entries.
  - lock-down (kiosk) support.
 .
 KConfigGui provides a way to hook widgets to the configuration so
 that they are automatically initialized from the configuration and
 automatically propagate their changes to their respective
 configuration files.
 .
 This package is part of KDE Frameworks 5.
 .
 This package contains the binary files for the libkf5config-dev package.

Package: libkf5config-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Description: configuration settings framework for Qt (documentation)
 KConfig provides an advanced configuration system. It is made of two
 parts: KConfigCore and KConfigGui.
 .
 KConfigCore provides access to the configuration files themselves. It
 features:
 .
  - centralized definition: define your configuration in an XML file
  and use `kconfig_compiler` to generate classes to read and write
  configuration entries.
  - lock-down (kiosk) support.
 .
 KConfigGui provides a way to hook widgets to the configuration so
 that they are automatically initialized from the configuration and
 automatically propagate their changes to their respective
 configuration files.
 .
 This package is part of KDE Frameworks 5.
 .
 This package contains the qch documentation files.

Package: libkf5configcore5
Architecture: any
Multi-Arch: same
Depends: libkf5config-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libkf5config-bin (= ${binary:Version})
Description: configuration settings framework for Qt
 KConfig provides an advanced configuration system. It is made of two
 parts: KConfigCore and KConfigGui.
 .
 KConfigCore provides access to the configuration files themselves. It
 features:
 .
  - centralized definition: define your configuration in an XML file
  and use `kconfig_compiler` to generate classes to read and write
  configuration entries.
  - lock-down (kiosk) support.
 .
 This package is part of KDE Frameworks 5.
 .
 This package contains KConfigCore.

Package: libkf5configgui5
Architecture: any
Multi-Arch: same
Depends: libkf5config-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libkf5config-bin (= ${binary:Version})
Description: configuration settings framework for Qt
 KConfig provides an advanced configuration system. It is made of two
 parts: KConfigCore and KConfigGui.
 .
 KConfigGui provides a way to hook widgets to the configuration so
 that they are automatically initialized from the configuration and
 automatically propagate their changes to their respective
 configuration files.
 .
 This package is part of KDE Frameworks 5.
 .
 This package contains KConfigGui.

## kconfig 5.62.0

=== debian/changelog ===
kconfig (5.62.0-1) unstable; urgency=medium

  * Update reprotest args variable
  * New upstream release (5.62.0).
  * Update build-deps and deps with the info from cmake
  * Update symbols file
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Fri, 20 Sep 2019 10:12:54 -0700

kconfig (5.61.0-1) experimental; urgency=medium

  * Salsa CI automatic initialization by Tuco
  * New upstream release (5.61.0).
  * Drop upstream patch
  * Update symbols files
  * Ignore reprotest build path variations
  * Update build-deps and deps with the info from cmake
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Mon, 09 Sep 2019 21:10:17 +0100

kconfig (5.54.0-2) unstable; urgency=medium

  [ Scarlett Moore ]
  * Upstream patch to address CVE-2019-14744.
    https://security-tracker.debian.org/tracker/CVE-2019-14744
    (Closes: 934267)

  [ Maximiliano Curia ]
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Fri, 09 Aug 2019 08:00:58 -0300

=== debian/control ===
--- 
+++ 
@@ -3,24 +3,23 @@
 Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Maximiliano Curia <maxy@debian.org>
-Build-Depends: cmake (>= 3.0~),
+Build-Depends: cmake (>= 3.5~),
                debhelper (>= 11~),
                doxygen (>= 1.8.13~),
-               extra-cmake-modules (>= 5.56.0~),
+               extra-cmake-modules (>= 5.62.0~),
                graphviz,
                libqt5sql5-sqlite,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
-               qtbase5-dev (>= 5.8.0~),
-               qttools5-dev (>= 5.6.1~),
-               qttools5-dev-tools (>= 5.6.1~),
+               qtbase5-dev (>= 5.11.0~),
+               qttools5-dev (>= 5.4),
+               qttools5-dev-tools (>= 5.4),
 Standards-Version: 4.1.4
 Homepage: https://projects.kde.org/projects/frameworks/kconfig
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kconfig
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kconfig
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kconfig
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kconfig.git
 
 Package: libkf5config-bin
 Architecture: any
-Multi-Arch: foreign
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Breaks: libkf5configcore5 (<= 4.100.0-0ubuntu1~ubuntu14.10~ppa1)
 Replaces: libkf5configcore5 (<= 4.100.0-0ubuntu1~ubuntu14.10~ppa1)
@@ -71,18 +70,24 @@
  This package contains the translations.
 
 Package: libkf5config-dev
+Section: libdevel
 Architecture: any
 Multi-Arch: same
-Section: libdevel
 Depends: libkf5config-bin (= ${binary:Version}),
          libkf5config-dev-bin (= ${binary:Version}),
          libkf5configcore5 (= ${binary:Version}),
          libkf5configgui5 (= ${binary:Version}),
-         qtbase5-dev (>= 5.8.0~),
+         qtbase5-dev (>= 5.11.0~),
          ${misc:Depends},
          ${shlibs:Depends},
-Breaks: libkf5config-bin-dev (<< 5.47.0~),
-Replaces: libkf5config-bin-dev (<< 5.47.0~)
+Breaks: libkf5completion-dev (<< 5.54),
+        libkf5config-bin-dev (<< 5.42),
+        libkf5configwidgets-dev (<< 5.54),
+        libkf5notifications-dev (<< 5.54),
+        libkf5service-dev (<< 5.54),
+        libkf5wallet-dev (<< 5.54),
+        libkf5xmlgui-dev (<< 5.54),
+Replaces: libkf5config-bin-dev (<< 5.42)
 Recommends: libkf5config-doc (= ${source:Version})
 Description: configuration settings framework for Qt
  KConfig provides an advanced configuration system. It is made of two
@@ -103,15 +108,15 @@
  .
  This package is part of KDE Frameworks 5.
  .
- This package contains the development files.,
+ This package contains the development files.
 
 Package: libkf5config-dev-bin
+Section: libdevel
 Architecture: any
 Multi-Arch: foreign
-Section: libdevel
+Breaks: libkf5config-dev (<< 5.15.0-2~)
+Replaces: libkf5config-dev (<< 5.15.0-2~)
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Breaks: libkf5config-bin-dev (<< 5.47.0~), libkf5config-dev (<< 5.15.0-2~)
-Replaces: libkf5config-bin-dev (<< 5.47.0~), libkf5config-dev (<< 5.15.0-2~)
 Description: configuration settings framework for Qt -- binary package
  KConfig provides an advanced configuration system. It is made of two
  parts: KConfigCore and KConfigGui.
@@ -136,7 +141,6 @@
 Package: libkf5config-doc
 Architecture: all
 Multi-Arch: foreign
-Section: doc
 Depends: ${misc:Depends}
 Description: configuration settings framework for Qt (documentation)
  KConfig provides an advanced configuration system. It is made of two
@@ -158,6 +162,7 @@
  This package is part of KDE Frameworks 5.
  .
  This package contains the qch documentation files.
+Section: doc
 
 Package: libkf5configcore5
 Architecture: any
@@ -165,6 +170,76 @@
 Depends: libkf5config-data (= ${source:Version}),
          ${misc:Depends},
          ${shlibs:Depends},
+Breaks: baloo-kf5 (<< 5.54),
+        frameworkintegration (<< 5.54),
+        kded5 (<< 5.54),
+        kdesignerplugin (<< 5.42),
+        kgendesignerplugin (<< 5.54),
+        kgendesignerplugin-bin (<< 5.54),
+        kinit (<< 5.54),
+        kio (<< 5.54),
+        kpackagelauncherqml (<< 5.42),
+        kpackagetool5 (<< 5.28),
+        kross (<< 5.42),
+        ktexteditor-katepart (<< 5.42),
+        libkf5activitiesstats1 (<< 5.54),
+        libkf5baloo5 (<< 5.54),
+        libkf5bookmarks5 (<< 5.54),
+        libkf5completion5 (<< 5.54),
+        libkf5configwidgets5 (<< 5.54),
+        libkf5declarative5 (<< 5.54),
+        libkf5emoticons-bin (<< 5.42),
+        libkf5emoticons5 (<< 5.54),
+        libkf5globalaccel-bin (<< 5.42),
+        libkf5globalaccelprivate5 (<< 5.54),
+        libkf5iconthemes5 (<< 5.54),
+        libkf5kcmutils5 (<< 5.54),
+        libkf5kdelibs4support5 (<< 5.54),
+        libkf5kdelibs4support5-bin (<< 5.54),
+        libkf5khtml-bin (<< 5.54),
+        libkf5khtml5 (<< 5.54),
+        libkf5kiocore5 (<< 5.54),
+        libkf5kiofilewidgets5 (<< 5.54),
+        libkf5kiogui5 (<< 5.42),
+        libkf5kiowidgets5 (<< 5.54),
+        libkf5krossui5 (<< 5.42),
+        libkf5mediaplayer5 (<< 5.42),
+        libkf5newstuff5 (<< 5.54),
+        libkf5newstuffcore5 (<< 5.54),
+        libkf5notifications5 (<< 5.54),
+        libkf5notifyconfig5 (<< 5.54),
+        libkf5package5 (<< 5.28),
+        libkf5parts-plugins (<< 5.42),
+        libkf5parts5 (<< 5.54),
+        libkf5people5 (<< 5.42),
+        libkf5peoplewidgets5 (<< 5.54),
+        libkf5plasma5 (<< 5.54),
+        libkf5plasmaquick5 (<< 5.54),
+        libkf5purpose-bin (<< 5.54),
+        libkf5purpose5 (<< 5.54),
+        libkf5quickaddons5 (<< 5.54),
+        libkf5runner5 (<< 5.54),
+        libkf5service-bin (<< 5.42),
+        libkf5service5 (<< 5.54),
+        libkf5style5 (<< 5.54),
+        libkf5su5 (<< 5.54),
+        libkf5texteditor5 (<< 5.54),
+        libkf5textwidgets5 (<< 5.42),
+        libkf5wallet-bin (<< 5.54),
+        libkf5wallet5 (<< 5.54),
+        libkf5webkit5 (<< 5.42),
+        libkf5xmlgui-bin (<< 5.54),
+        libkf5xmlgui5 (<< 5.54),
+        libkf5xmlrpcclient5 (<< 5.42),
+        plasma-framework (<< 5.54),
+        qml-module-org-kde-activities (<< 5.54),
+        qml-module-org-kde-extensionplugin (<< 5.28),
+        qml-module-org-kde-kconfig (<< 5.54),
+        qml-module-org-kde-kio (<< 5.42),
+        qml-module-org-kde-kquickcontrols (<< 5.42),
+        qml-module-org-kde-kquickcontrolsaddons (<< 5.54),
+        qml-module-org-kde-qqc2desktopstyle (<< 5.42),
+        qml-module-org-kde-runnermodel (<< 5.42),
 Recommends: libkf5config-bin (= ${binary:Version})
 Description: configuration settings framework for Qt
  KConfig provides an advanced configuration system. It is made of two
@@ -188,6 +263,39 @@
 Depends: libkf5config-data (= ${source:Version}),
          ${misc:Depends},
          ${shlibs:Depends},
+Breaks: frameworkintegration (<< 5.28),
+        kdesignerplugin (<< 5.42),
+        kio (<< 5.42),
+        kross (<< 5.42),
+        ktexteditor-katepart (<< 5.42),
+        libkf5bookmarks5 (<< 5.42),
+        libkf5completion5 (<< 5.54),
+        libkf5configwidgets5 (<< 5.54),
+        libkf5iconthemes5 (<< 5.42),
+        libkf5kcmutils5 (<< 5.42),
+        libkf5kdelibs4support5 (<< 5.54),
+        libkf5kdelibs4support5-bin (<< 5.42),
+        libkf5khtml-bin (<< 5.42),
+        libkf5khtml5 (<< 5.42),
+        libkf5kiofilewidgets5 (<< 5.54),
+        libkf5kiowidgets5 (<< 5.54),
+        libkf5krossui5 (<< 5.42),
+        libkf5mediaplayer5 (<< 5.42),
+        libkf5newstuff5 (<< 5.54),
+        libkf5parts-plugins (<< 5.42),
+        libkf5parts5 (<< 5.42),
+        libkf5plasma5 (<< 5.54),
+        libkf5plasmaquick5 (<< 5.42),
+        libkf5quickaddons5 (<< 5.54),
+        libkf5style5 (<< 5.42),
+        libkf5texteditor5 (<< 5.54),
+        libkf5textwidgets5 (<< 5.54),
+        libkf5wallet-bin (<< 5.42),
+        libkf5webkit5 (<< 5.54),
+        libkf5xmlgui5 (<< 5.54),
+        plasma-framework (<< 5.54),
+        qml-module-org-kde-kquickcontrols (<< 5.54),
+        qml-module-org-kde-qqc2desktopstyle (<< 5.42),
 Recommends: libkf5config-bin (= ${binary:Version})
 Description: configuration settings framework for Qt
  KConfig provides an advanced configuration system. It is made of two
